import java.time.Duration;
import java.util.List;
import java.util.Map;

public class MatchingResult {
    private List<String> comments;
    private List<String> headers;
    private List<List<String>> allResults;
    private Map<Integer, Integer> matchMap;
    private Duration time;

    public MatchingResult(List<String> comments, List<String> headers, List<List<String>> allResults, Map<Integer, Integer>matchMap, Duration time){
        this.comments = comments;
        this.headers = headers;
        this.allResults = allResults;
        this.matchMap = matchMap;
        this.time = time;

    }

    public List<String> getComments() {
        return comments;
    }

    public List<List<String>> getAllResults() {
        return allResults;
    }

    public List<String> getHeaders() {
        return headers;
    }

    public Map<Integer, Integer> getMatchMap() {
        return matchMap;
    }

    public Duration getTime() {
        return time;
    }
}
